@import url(https://fonts.googleapis.com/css?family=Roboto:400,400italic,600,600italic,700,700italic);

body {
  padding: 0;
  margin: 0;
  font-family: "Roboto";
  background-color: #f9f9f9;
}

.container {
  height: 698px;
  width: 1260px;
  padding: 0;
  margin: 100px auto 0;
  border-radius: 5px;
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.3);
  background-color: #f8f6fb;
}

header {
  display: block;
}

.hide {
  display: none;
}

#material-tabs {
  display: flex;
  flex-wrap: nowrap;
  padding: 0;
  border-bottom: 1px solid #e0e0e0;
}

#rpa-telegram-bot-tabs > a {
  position: relative;
  display: inline-block;
  text-decoration: none;
  padding: 22px;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 600;
  color: #424f5a;
  text-align: center;
  outline: none;

  box-sizing: border-box;
  flex-grow: 1;
  width: 33%;
  height: 70px;
}

#rpa-telegram-bot-tabs > a.active {
  font-weight: 700;
  color: #448aff;
  border-bottom: 1px solid #448aff;
}

#rpa-telegram-bot-tabs > a:not(.active):hover {
  background-color: inherit;
  color: #448aff;
}

.tabs-contents {
  display: block;
  /* padding: 25px; */
}

.tabs-contents > .tab-content {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 628px;
  background-color: #ffffff;
}

.tabs-contents > .tab-content > .fix__layer {
  box-sizing: border-box;

  padding-bottom: 32px;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;

  width: 340px;
  height: 100%;
  max-height: 628px;

  border: solid 1px rgba(0, 0, 0, 0.12);

  overflow-y: scroll;
}

.tabs-contents > .tab-content > .fix__layer > .first__layer-header {
  box-sizing: border-box;
  padding: 10px 16px;
  background-color: lightpink;
  /* background-color: #fafafa; */
  width: 100%;
  margin-bottom: 8px;
}

.tabs-contents > .tab-content > .fix__layer > .first__layer-header > span {
  font-family: Roboto;
  font-size: 20px;
  text-align: left;
  color: rgba(0, 0, 0, 0.7);
}

.tabs-contents > .tab-content > .fix__layer > .first__layer-body {
  display: flex;
  flex-direction: column;
  justify-items: flex-start;
  align-items: center;

  width: 100%;
  height: auto;
}

.tabs-contents
  > .tab-content
  > .fix__layer
  > .first__layer-body
  > .body__content {
  display: flex;
  flex-direction: column;
  justify-items: center;
  align-items: flex-start;

  width: 100%;
  height: auto;
}

.tabs-contents
  > .tab-content
  > .fix__layer
  > .first__layer-body
  > .body__content
  > a {
  text-decoration: none;
  font-family: Roboto;
  font-size: 18px;
  text-align: left;
  color: rgba(0, 0, 0, 0.8);
  box-sizing: border-box;
  padding: 5px 32px;
  margin: 8px 0;
  width: 100%;
}

.tabs-contents
  > .tab-content
  > .fix__layer
  > .first__layer-body
  > .body__content
  > a.active {
  background-color: rgba(0, 0, 0, 0.14);
}

.tabs-contents > .tab-content > .dynamic__layer {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;

  width: calc(100% - 340px);
  height: 100%;
  background-color: #ffffff;
  border: solid 1px rgba(0, 0, 0, 0.12);
}

.tabs-contents > .tab-content > .dynamic__layer > .single__layer {
  display: flex;
  flex-direction: column;

  box-sizing: border-box;

  border: solid 1px rgba(0, 0, 0, 0.14);
  max-width: calc(100% - 142px);
  width: 100%;
  height: auto;
  margin: 42px 71px;
  padding: 24px 39px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-input {
  box-sizing: border-box;
  padding: 7px 32px;
  margin-bottom: 10px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-input
  > .single__layer-input__title {
  font-family: Roboto;
  font-size: 16px;
  text-align: left;
  color: #000;

  width: 100%;
  height: 30px;
  margin-bottom: 10px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-input
  > .single__layer-input__box {
  display: flex;
  justify-items: center;

  box-sizing: border-box;
  border: solid 1px #ced4da;
  padding: 8px 10px;

  margin-top: 10px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-input
  > .single__layer-input__box
  > input {
  width: 100%;
  height: 20px;

  outline: none;
  border: none;

  font-family: Roboto;
  font-size: 18px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-input
  > .single__layer-input__box
  > input::placeholder {
  color: rgba(0, 0, 0, 0.2);
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-input
  > .single__layer-input__box
  > input:-ms-input-placeholder {
  color: rgba(0, 0, 0, 0.2);
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-input
  > .single__layer-input__box
  > input::-ms-input-placeholder {
  color: rgba(0, 0, 0, 0.2);
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-radio__button {
  display: flex;
  flex-direction: row;
  justify-items: center;
  align-items: center;
  width: 100%;
  box-sizing: border-box;
  padding: 7px 32px;
  margin-bottom: 10px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-radio__button
  > .media-type__item {
  display: block;
  position: relative;
  cursor: pointer;
  font-size: 14px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  padding-left: 30px;
  margin: 0 5px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-radio__button
  > .media-type__item
  > input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-radio__button
  > .media-type__item
  > .radio__mark {
  position: absolute;
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
  border-radius: 1px;
  background-color: #fff;
  border: 1px solid #448aff;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-radio__button
  > .media-type__item
  > input:checked
  ~ .radio__mark:after {
  display: block;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-radio__button
  > .media-type__item
  > .radio__mark::after {
  content: "";
  display: none;
  position: absolute;
  top: 3px;
  right: 3px;
  left: 3px;
  width: 14px;
  height: 14px;
  background-color: #146aff;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-submit {
  box-sizing: border-box;
  background-color: #448aff;
  border-radius: 5px;

  display: flex;
  flex-direction: row;
  justify-items: center;
  align-items: center;

  padding: 8px 16px;
  margin: 0 auto;
  width: max-content;
  height: 38px;

  cursor: pointer;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .single__layer
  > .single__layer-submit
  > span {
  display: flex;
  flex-direction: row;
  justify-items: center;
  align-items: center;

  font-family: Roboto;
  font-size: 18px;
  color: #ffffff;

  width: max-content;
  height: 100%;

  text-align: center;
}

.tabs-contents > .tab-content > .fix__layer > .first__layer-footer {
  display: flex;
  box-sizing: border-box;
  padding: 0 32px;
  width: 100%;
  margin-top: 8px;
  margin-bottom: 8px;
}

.tabs-contents
  > .tab-content
  > .fix__layer
  > .first__layer-footer
  > .footer__dropdown {
  display: flex;
  width: 100%;
}

/* dynamic layer 2 BEGIN */
.tabs-contents > .tab-content > .dynamic__layer > .second__layer {
  display: flex;
  flex-direction: column;
  justify-items: flex-start;
  align-items: flex-start;

  border-right-color: rgba(0, 0, 0, 0.12);
  border-right-width: 1px;
  border-right-style: solid;

  width: 340px;
  height: 627px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__header {
    box-sizing: border-box;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  
    width: 100%;
    height: auto;
  
    color: #448aff;
    padding: 10px 16px;
    margin-bottom: 8px;
  
    background-color: #fafafa;
    cursor: pointer;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__header
  > .create__new {
  display: flex;
  flex-direction: row;
  justify-items: center;
  align-items: center;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__header
  > .create__new
  > .second__layer__text {
  color: #448aff;
  font-family: Roboto;
  font-size: 20px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  width: 100%;
  height: auto;

  overflow-y: scroll;
  overflow-x: hidden;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__body
  > .body__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;

  width: 100%;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__body
  > .body__content
  > a {
  text-decoration: none;
  font-family: Roboto;
  font-size: 18px;
  text-align: left;
  color: rgba(0, 0, 0, 0.8);
  box-sizing: border-box;
  padding: 5px 32px;
  margin: 8px 0;
  width: 100%;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__body
  > .body__content
  > a.active {
  background-color: rgba(0, 0, 0, 0.14);
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__footer {
  display: flex;
  box-sizing: border-box;
  padding: 0 32px;
  width: 100%;
  margin-top: 8px;
  margin-bottom: 8px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .second__layer
  > .second__layer__footer
  > .footer__dropdown {
  display: flex;
  width: 100%;
}
/* Second Layer END */

/* Third layer BEGIN */
.tabs-contents > .tab-content > .dynamic__layer > .third__layer {
  display: flex;
  flex-direction: column;
  justify-items: flex-start;
  align-items: flex-start;

  width: 580px;
  height: 627px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;

  width: 520px;
  margin: 36px auto;

  border: solid 1px rgba(0, 0, 0, 0.14);
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-input {
  box-sizing: border-box;
  padding: 8px 20px;
  margin-bottom: 10px;

  width: 100%;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-input
  > .third__layer-input__title {
  font-family: Roboto;
  font-size: 16px;
  text-align: left;
  color: #000;
  width: 100%;
  height: 30px;
  margin-bottom: 10px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-input
  > .third__layer-input__box {
  display: flex;
  justify-content: center;
  box-sizing: border-box;
  border: 1px solid #ced4da;
  padding: 8px 10px;
  margin-top: 10px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-input
  > .third__layer-input__box
  > input {
  width: 100%;
  height: 20px;
  outline: none;
  border: none;
  font-family: Roboto;
  font-size: 18px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-radio__button {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  box-sizing: border-box;
  padding: 7px 20px;
  margin-bottom: 10px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-radio__button
  > .media-type__item {
  display: block;
  position: relative;
  cursor: pointer;
  font-size: 18px;
  user-select: none;
  width: max-content;
  padding-left: 30px;
  margin: 0 5px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-radio__button
  > .media-type__item
  > input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-radio__button
  > .media-type__item
  > .radio__mark {
  position: absolute;
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
  border-radius: 1px;
  background-color: #ffffff;
  border: 1px solid #448aff;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-radio__button
  > .media-type__item
  > .radio__mark::after {
  content: "";
  display: none;
  position: absolute;
  top: 3px;
  right: 3px;
  left: 3px;
  width: 14px;
  height: 14px;
  background-color: #146aff;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-radio__button
  > .media-type__item
  > input:checked
  ~ .radio__mark::after {
  display: block;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  width: 100%;
  box-sizing: border-box;
  padding: 7px 20px;

  margin-bottom: 10px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .submit__controller {
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  align-items: center;

  width: 100%;
  box-sizing: border-box;
  padding: 7px 20px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .submit__controller
  > .confirm__submit {
  display: flex;
  justify-content: center;
  align-items: center;

  box-sizing: border-box;
  padding: 8px 16px;
  background-color: #448aff;
  border-radius: 5px;

  width: max-content;
  height: max-content;

  cursor: pointer;

  margin-left: 8px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .submit__controller
  > .confirm__submit
  > .btn__text {
  color: #ffffff;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .submit__controller
  > .cancel__submit {
  display: flex;
  justify-content: center;
  align-items: center;

  box-sizing: border-box;
  padding: 8px 16px;
  border-radius: 5px;

  width: max-content;
  height: max-content;

  cursor: pointer;

  margin-right: 8px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .submit__controller
  > .cancel__submit:hover {
  background-color: #c4c4c4;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .edit__controller {
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  align-items: center;

  width: 100%;

  box-sizing: border-box;
  padding: 7px 20px;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .edit__controller
  > .edit__btn {
  box-sizing: border-box;
  padding: 8px 16px;

  display: flex;
  justify-content: center;
  align-items: center;

  width: max-content;
  height: max-content;

  background-color: #448aff;
  border-radius: 5px;
  margin-left: 8px;

  cursor: pointer;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .edit__controller
  > .edit__btn
  > .btn__text {
  color: #ffffff;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .edit__controller
  > .delete__btn {
  display: flex;
  justify-content: center;
  align-items: center;

  box-sizing: border-box;
  padding: 8px 16px;

  width: max-content;
  height: max-content;

  background-color: rgba(244, 67, 54, 0.85);
  border-radius: 5px;
  margin-right: 8px;
  cursor: pointer;
}

.tabs-contents
  > .tab-content
  > .dynamic__layer
  > .third__layer
  > .third__layer__form
  > .third__layer-control
  > .edit__controller
  > .delete__btn >.btn__text {
  color: #ffffff;
}

/* Third layer END */
/* dynamic layer 2 END*/
